[FC6]Firefox無法看youtube的影片


[FC6]Firefox無法看youtube的影片


如果firefox無法欣賞youtube網上的影片時,有兩種可能,一個是沒裝Shockwave的plugin。或者是你的plugin不是新版的。
目前的版本是
Shockwave Flash 9.0
r48。檢查版本的方法在firefox的位置欄內輸入"about:plugins",就會出現已安裝在firefox的plugin資訊,在其中找
Shockwave
Flash的部份就可以看到現有的版本號了。如果一開始就沒裝Shockware的plugin,應該會在網頁上有通知安裝plugin的訊息,但是如果
電腦現存有舊版的話,似乎並不會有任何的通知或要求更新訊息,只是單純的網頁中該有影片畫面的部份呈現空白狀態。不管是那種情形都能透過Shockwave的網站來下載新版並安裝,網址是:http://www.adobe.com/shockwave/download/。在網頁頁中尋找linux和firefox的版本來安裝就可以了,網站上有提供三種選擇,在這裡我是用下載rpm的方式來更新。如果找不到下載的朋友可以試試這一個“下載點”,可以下載到一個名為“flash-plugin-9.0.48.0-release.i386.rpm”的檔案。下載下來後用root的權限來進行rpm的安裝,如果沒裝過的朋友可用以下的指令:
# rpm -ivh flash-plugin-9.0.48.0-release.i386.rpm

如果是要更新版本的話就使用以下的指令:
# rpm -Uvh flash-plugin-9.0.48.0-release.i386.rpm


安裝完畢後將/usr/lib/flash-plugin/libflashplayer.so複制到~/.mozilla/plugins目錄裡
# cp /usr/lib/flash-plugin/libflashplayer.so ~/.mozilla/plugins/



樣做只有針對操作這個動作的帳號發生作用而己,如果要針對所有的user的話,需要使用root的帳號,將libflashplayer.so複製到
/usr/lib/[firefox dictionary]/plugins目錄下就可以針對所有的user都發生作用了。





2 則留言:

  1. 我是使用f7 但是我沒辦法執行最後一個程序
    會顯示
    cp: 無法建立普通檔案 ‘/root/.mozilla/plugins/’: 是個目錄
    可以幫忙解答嗎??

    回覆刪除
  2. 您是指卡在這個步驟嗎?

    # cp /usr/lib/flash-plugin/libflashplayer.so ~/.mozilla/plugins/

    從您提供的訊息中得知您應該是用root帳號在做這個copy的動作,這個copy動作建議您用平常登入的帳號來做操作,如果您平常就是直接用root這個帳號在登入的話就不用理這個建議。

    會出現這個錯誤訊息,極有可能是在/root/.mozilla/這個目錄下並沒有plugins這個目錄,解決方法是先到/root/.mozilla目錄下建出plugins這個目錄就好了。

    回覆刪除

Joplin Web Clipper 突然無法執行

使用 Joplin 的 Web Clipper 時,突然發現會出現 Permission Needed 還有一行 Starting ,但卻一直沒有動靜,無法正常執行。 很有可能是 Web Clipper 已經進到新版本,但 Joplin 仍還在舊版本的關係。可以將 Joplin ...